function SetContains(set, key)
    return set[key] ~= nil
end

function GetAnimaItemValue(item)
    local spellName, spellId = GetItemSpell(item);

    if spellName and spellId then
        if SetContains(AnimaSpellValues, spellId) then
            return AnimaSpellValues[spellId]
        end
    end

end

function CountAnimaValuesForItem(item)
    local animaValue = GetAnimaItemValue(item)

    if animaValue then
        return animaValue * GetItemCount(item)
    end
    return 0;
end

function CalculateAnimaInInventory()
    local totalAnima = 0;
    for bag = 0, 4 do
        for slot = 1, GetContainerNumSlots(bag) do
            local item = GetContainerItemLink(bag, slot)
            if item then
                totalAnima = totalAnima + CountAnimaValuesForItem(item)
            end
        end
    end
    return totalAnima;
end

function ShowTotalAnimaInBags()
    local animaInInventory = CalculateAnimaInInventory();

    if animaInInventory > 0 then
        GameTooltip:AddLine(animaInInventory .. DisplayStrings["AnimaInBags"], 0.6, 0.6, 0.6);
    else
        GameTooltip:AddLine(DisplayStrings["NoAnimaInBags"], 0.6, 0.6, 0.6);
    end

    GameTooltip:Show()

end

GameTooltip:HookScript("OnTooltipSetItem", function(self)

    local item = GameTooltip:GetItem()
    local totalAnimaInStack = CountAnimaValuesForItem(item)

    if totalAnimaInStack > 0 then
        GameTooltip:AddLine(totalAnimaInStack .. DisplayStrings["Total"], 0.6, 0.6, 0.6);
        GameTooltip:Show()
    end

end)

GameTooltip:HookScript("OnShow", function(self)
    if _G["GameTooltipTextLeft" .. 1]:GetText() == ReservoirAnima then

        -- Covenant sanctum frame messes the tooltip up, so add a filter on this being a "button"
        -- as the currency can be clicked to see more options
        frame = GameTooltip:GetOwner()
        if frame:GetObjectType() == "Button" then
            ShowTotalAnimaInBags()
        end
    end
end)
