-- Hooking into world quest tooltip drawing
local gameTooltip_AddQuestRewardsToTooltip_Hook = GameTooltip_AddQuestRewardsToTooltip;
GameTooltip_AddQuestRewardsToTooltip = function(...)
    local tooltip, questID, style = ...;
    local itemName, itemTexture, quantity, quality, isUsable, itemID = GetQuestLogRewardInfo(1, questID);
    gameTooltip_AddQuestRewardsToTooltip_Hook(...)

    local result = 0;
    local itemAnimaValue = GetAnimaItemValue(itemID);
    if itemAnimaValue then
        result = itemAnimaValue * quantity;
        tooltip.ItemTooltip.Tooltip:AddLine(result .. AnimaShortage.Data.DisplayStrings["Total"], 0.6, 0.6, 0.6);
        tooltip.ItemTooltip.Tooltip:Show();
    end
end

-- Hooking into item hover
GameTooltip:HookScript("OnTooltipSetItem", function(self)
    local item, link = GameTooltip:GetItem()
    if IsAnimaItem(link) then

        if DrawToolTipAnimaForCompatibleAddons(self, link) == true then
            return
        end

        DrawTooltipAnimaDefault(self, link)
    end
end)

-- Hooking into general "onshow"
GameTooltip:HookScript("OnShow", function(self)
    if AnimaShortage.CompatibilityMode() == false then
        local fr = GameTooltip:GetOwner();
        if _G["GameTooltipTextLeft" .. 1]:GetText() == AnimaShortage.Data.ReservoirAnima then

            ShowTotalAnimaInBags()
        end
    end
end)

function DrawToolTipAnimaForCompatibleAddons(self, link)
    if AnimaShortage.CompatibilityMode() then
        AnimaShortage.Patches.ArkInventory.DrawToolTipAnima(self, link)
        return true
    end
end
